<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFSettings (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFSettings (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFSettings.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTContentCell.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFSettings.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFSettings.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFSettings" class="title">Class XWPFSettings</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.XWPFSettings</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XWPFSettings</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html" title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#XWPFSettings--">XWPFSettings</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#XWPFSettings-org.apache.poi.openxml4j.opc.PackagePart-">XWPFSettings</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#commit--">commit</a></span>()</code>
                                    <div class="block">Save the content in the underlying package part.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#getEvenAndOddHeadings--">getEvenAndOddHeadings</a></span>()</code>
                                    <div class="block">Check if separate even and odd headings is turned on.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#getMirrorMargins--">getMirrorMargins</a></span>()</code>
                                    <div class="block">Check if mirrored margins is turned on</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#getZoomPercent--">getZoomPercent</a></span>()</code>
                                    <div class="block">Set zoom.<br>
                                        In the zoom tag inside settings.xml file <br>
                                        it sets the value of zoom
                                        <br>
                                        sample snippet from settings.xml
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#isEnforcedWith--">isEnforcedWith</a></span>()</code>
                                    <div class="block">Verifies the documentProtection tag inside settings.xml file <br>
                                        if the protection is enforced (w:enforcement="1") <br></div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#isEnforcedWith-org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum-">isEnforcedWith</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum&nbsp;editValue)</code>
                                    <div class="block">Verifies the documentProtection tag inside settings.xml file <br>
                                        if the protection is enforced (w:enforcement="1") <br>
                                        and if the kind of protection equals to passed (STDocProtect.Enum editValue)
                                        <br></div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#isTrackRevisions--">isTrackRevisions</a></span>()</code>
                                    <div class="block">Check if revision tracking is turned on.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#onDocumentRead--">onDocumentRead</a></span>()</code>
                                    <div class="block">Fired when a package part is read</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#removeEnforcement--">removeEnforcement</a></span>()</code>
                                    <div class="block">Removes protection enforcement.<br>
                                        In the documentProtection tag inside settings.xml file <br>
                                        it sets the value of enforcement to "0" (w:enforcement="0") <br></div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#setEnforcementEditValue-org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum-">setEnforcementEditValue</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum&nbsp;editValue)</code>
                                    <div class="block">Enforces the protection with the option specified by passed
                                        editValue.<br>
                                        <br>
                                        In the documentProtection tag inside settings.xml file <br>
                                        it sets the value of enforcement to "1" (w:enforcement="1") <br>
                                        and the value of edit to the passed editValue (w:edit="[passed editValue]")<br>
                                        <br>
                                        sample snippet from settings.xml
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#setEnforcementEditValue-org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum-java.lang.String-org.apache.poi.poifs.crypt.HashAlgorithm-">setEnforcementEditValue</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum&nbsp;editValue,
                                    java.lang.String&nbsp;password,
                                    <a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                       title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgo)</code>
                                    <div class="block">Enforces the protection with the option specified by passed
                                        editValue and password.<br>
                                        <br>
                                        sample snippet from settings.xml
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#setEvenAndOddHeadings-boolean-">setEvenAndOddHeadings</a></span>(boolean&nbsp;enable)</code>
                                    <div class="block">Turn separate even-and-odd headings on or off</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#setMirrorMargins-boolean-">setMirrorMargins</a></span>(boolean&nbsp;enable)</code>
                                    <div class="block">Turn mirrored margins on or off</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#setTrackRevisions-boolean-">setTrackRevisions</a></span>(boolean&nbsp;enable)</code>
                                    <div class="block">Enable or disable revision tracking.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#setUpdateFields--">setUpdateFields</a></span>()</code>
                                    <div class="block">Enforces fields update on document open (in Word).</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#setZoomPercent-long-">setZoomPercent</a></span>(long&nbsp;zoomPercent)</code>
                                    <div class="block">Set zoom.<br>
                                        In the zoom tag inside settings.xml file <br>
                                        it sets the value of zoom
                                        <br>
                                        sample snippet from settings.xml
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSettings.html#validateProtectionPassword-java.lang.String-">validateProtectionPassword</a></span>(java.lang.String&nbsp;password)</code>
                                    <div class="block">Validates the existing password</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFSettings-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFSettings</h4>
                                <pre>public&nbsp;XWPFSettings(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
             throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XWPFSettings--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFSettings</h4>
                                <pre>public&nbsp;XWPFSettings()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="onDocumentRead--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>onDocumentRead</h4>
                                <pre>protected&nbsp;void&nbsp;onDocumentRead()
                       throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">POIXMLDocumentPart</a></code></span>
                                </div>
                                <div class="block">Fired when a package part is read</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException when a
                                        document is read
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getZoomPercent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getZoomPercent</h4>
                                <pre>public&nbsp;long&nbsp;getZoomPercent()</pre>
                                <div class="block">Set zoom.<br>
                                    In the zoom tag inside settings.xml file <br>
                                    it sets the value of zoom
                                    <br>
                                    sample snippet from settings.xml
                                    <pre>
    &lt;w:zoom w:percent="50" /&gt;
 <pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>percentage as an integer of zoom level</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setZoomPercent-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setZoomPercent</h4>
                                <pre>public&nbsp;void&nbsp;setZoomPercent(long&nbsp;zoomPercent)</pre>
                                <div class="block">Set zoom.<br>
                                    In the zoom tag inside settings.xml file <br>
                                    it sets the value of zoom
                                    <br>
                                    sample snippet from settings.xml
                                    <pre>
    &lt;w:zoom w:percent="50" /&gt;
 <pre>
                                </div>
                            </li>
                        </ul>
                        <a name="isEnforcedWith--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEnforcedWith</h4>
                                <pre>public&nbsp;boolean&nbsp;isEnforcedWith()</pre>
                                <div class="block">Verifies the documentProtection tag inside settings.xml file <br>
                                    if the protection is enforced (w:enforcement="1") <br>
                                    <p>
                                        <br>
                                        sample snippet from settings.xml
                                    <pre>
     &lt;w:settings  ... &gt;
         &lt;w:documentProtection w:edit=&quot;readOnly&quot; w:enforcement=&quot;1&quot;/&gt;
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if documentProtection is enforced with option any</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isEnforcedWith-org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEnforcedWith</h4>
                                <pre>public&nbsp;boolean&nbsp;isEnforcedWith(org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum&nbsp;editValue)</pre>
                                <div class="block">Verifies the documentProtection tag inside settings.xml file <br>
                                    if the protection is enforced (w:enforcement="1") <br>
                                    and if the kind of protection equals to passed (STDocProtect.Enum editValue) <br>
                                    <p>
                                        <br>
                                        sample snippet from settings.xml
                                    <pre>
     &lt;w:settings  ... &gt;
         &lt;w:documentProtection w:edit=&quot;readOnly&quot; w:enforcement=&quot;1&quot;/&gt;
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if documentProtection is enforced with option readOnly</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setEnforcementEditValue-org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEnforcementEditValue</h4>
                                <pre>public&nbsp;void&nbsp;setEnforcementEditValue(org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum&nbsp;editValue)</pre>
                                <div class="block">Enforces the protection with the option specified by passed
                                    editValue.<br>
                                    <br>
                                    In the documentProtection tag inside settings.xml file <br>
                                    it sets the value of enforcement to "1" (w:enforcement="1") <br>
                                    and the value of edit to the passed editValue (w:edit="[passed editValue]")<br>
                                    <br>
                                    sample snippet from settings.xml
                                    <pre>
     &lt;w:settings  ... &gt;
         &lt;w:documentProtection w:edit=&quot;[passed editValue]&quot; w:enforcement=&quot;1&quot;/&gt;
 </pre>
                                </div>
                            </li>
                        </ul>
                        <a name="setEnforcementEditValue-org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum-java.lang.String-org.apache.poi.poifs.crypt.HashAlgorithm-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEnforcementEditValue</h4>
                                <pre>public&nbsp;void&nbsp;setEnforcementEditValue(org.openxmlformats.schemas.wordprocessingml.x2006.main.STDocProtect.Enum&nbsp;editValue,
                                    java.lang.String&nbsp;password,
                                    <a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                       title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgo)</pre>
                                <div class="block">Enforces the protection with the option specified by passed editValue
                                    and password.<br>
                                    <br>
                                    sample snippet from settings.xml
                                    <pre>
   &lt;w:documentProtection w:edit=&quot;[passed editValue]&quot; w:enforcement=&quot;1&quot;
       w:cryptProviderType=&quot;rsaAES&quot; w:cryptAlgorithmClass=&quot;hash&quot;
       w:cryptAlgorithmType=&quot;typeAny&quot; w:cryptAlgorithmSid=&quot;14&quot;
       w:cryptSpinCount=&quot;100000&quot; w:hash=&quot;...&quot; w:salt=&quot;....&quot;
   /&gt;
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>editValue</code> - the protection type</dd>
                                    <dd><code>password</code> - the plaintext password, if null no password will be
                                        applied
                                    </dd>
                                    <dd><code>hashAlgo</code> - the hash algorithm - only md2, m5, sha1, sha256, sha384
                                        and sha512 are supported.
                                        if null, it will default default to sha1
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="validateProtectionPassword-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>validateProtectionPassword</h4>
                                <pre>public&nbsp;boolean&nbsp;validateProtectionPassword(java.lang.String&nbsp;password)</pre>
                                <div class="block">Validates the existing password</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>password</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, only if password was set and equals, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeEnforcement--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeEnforcement</h4>
                                <pre>public&nbsp;void&nbsp;removeEnforcement()</pre>
                                <div class="block">Removes protection enforcement.<br>
                                    In the documentProtection tag inside settings.xml file <br>
                                    it sets the value of enforcement to "0" (w:enforcement="0") <br></div>
                            </li>
                        </ul>
                        <a name="setUpdateFields--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUpdateFields</h4>
                                <pre>public&nbsp;void&nbsp;setUpdateFields()</pre>
                                <div class="block">Enforces fields update on document open (in Word).
                                    In the settings.xml file <br>
                                    sets the updateSettings value to true (w:updateSettings w:val="true")
                                    <p>
                                        NOTICES:
                                    <ul>
                                        <li>Causing Word to ask on open: "This document contains fields that may refer
                                            to other files. Do you want to update the fields in this document?"
                                            (if "Update automatic links at open" is enabled)
                                        </li>
                                        <li>Flag is removed after saving with changes in Word</li>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                        <a name="isTrackRevisions--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isTrackRevisions</h4>
                                <pre>public&nbsp;boolean&nbsp;isTrackRevisions()</pre>
                                <div class="block">Check if revision tracking is turned on.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if revision tracking is turned on</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTrackRevisions-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTrackRevisions</h4>
                                <pre>public&nbsp;void&nbsp;setTrackRevisions(boolean&nbsp;enable)</pre>
                                <div class="block">Enable or disable revision tracking.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>enable</code> - <code>true</code> to turn on revision tracking, <code>false</code>
                                        to turn off revision tracking
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="commit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>commit</h4>
                                <pre>protected&nbsp;void&nbsp;commit()
               throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">POIXMLDocumentPart</a></code></span>
                                </div>
                                <div class="block">Save the content in the underlying package part.
                                    Default implementation is empty meaning that the package part is left unmodified.
                                    <p>
                                        Sub-classes should override and add logic to marshal the "model" into Ooxml4J.
                                    <p>
                                        For example, the code saving a generic XML entry may look as follows:
                                    <pre>
 protected void commit() throws IOException {
   PackagePart part = getPackagePart();
   OutputStream out = part.getOutputStream();
   XmlObject bean = getXmlBean(); //the "model" which holds changes in memory
   bean.save(out, DEFAULT_XML_OPTIONS);
   out.close();
 }
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">commit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException if the
                                        changes can't be committed
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEvenAndOddHeadings--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEvenAndOddHeadings</h4>
                                <pre>public&nbsp;boolean&nbsp;getEvenAndOddHeadings()</pre>
                                <div class="block">Check if separate even and odd headings is turned on.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>True if even and odd headings is turned on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setEvenAndOddHeadings-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEvenAndOddHeadings</h4>
                                <pre>public&nbsp;void&nbsp;setEvenAndOddHeadings(boolean&nbsp;enable)</pre>
                                <div class="block">Turn separate even-and-odd headings on or off</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>enable</code> - <code>true</code> to turn on separate even and odd
                                        headings,
                                        <code>false</code> to turn off even and odd headings.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMirrorMargins--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMirrorMargins</h4>
                                <pre>public&nbsp;boolean&nbsp;getMirrorMargins()</pre>
                                <div class="block">Check if mirrored margins is turned on</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>True if mirrored margins is turned on.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMirrorMargins-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setMirrorMargins</h4>
                                <pre>public&nbsp;void&nbsp;setMirrorMargins(boolean&nbsp;enable)</pre>
                                <div class="block">Turn mirrored margins on or off</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>enable</code> - <code>true</code> to turn on mirrored margins,
                                        <code>false</code> to turn off mirrored marginss.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFSettings.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTContentCell.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFStyle.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFSettings.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFSettings.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
